DCMTK - Feature #824

Add C++11 support for more compilers
2018-04-11 10:12 - Jan Schlamelcher

Status: Closed
Priority: Normal
Assignee:
Category:

Target version:
Module: CMake
Operating System:

Start date: 2018-04-11
Due date:

% Done: 100%
Estimated time: 0:00 hour
Compiler:

Description

Enhance C++11 (14, 17, ...) compiler flag detection support, e.g. for "Visual Studio 15.7 Preview 3" that seems to finally implement it
correctly. Use https:/cmake.org/cmake/help/latest/manual/cmake-compile-features.7.html if possible.

Related issues:
Related to DCMTK - Feature #823: Enhance compiler flag handling

New 2018-04-11

History

#1 - 2018-04-11 10:12 - Jan Schlamelcher
- Related to Feature #823: Enhance compiler flag handling added

#2 - 2024-08-09 18:53 - Marco Eichelberg
- Status changed from New to Closed

- % Done changed from 0 to 100

DCMTK meanwhile by default enables C++11 on all compilers supporting it.
